org.gnome.gtk

## Interface Widget.VisibilityNotifyEvent

- Enclosing class:
    Widget

      public static interface Widget.VisibilityNotifyEvent

  A signal providing notification that the Widget has been obscured or unobscured. To use this, go through the supplied `event` parameter to get to the VisibilityState as follows:

       foo.connect(new Widget.VisibilityNotifyEvent() {
           public boolean onVisibilityNotifyEvent(Widget source, EventVisibility event) {
               VisibilityState state = event.getState();
               if (state == VisibilityState.FULLY_OBSCURED) {
                  ...
               }
           }
           return false;
       });

  See `VisibilityState` for the constants describing the possible three possible changes to an underlying element's visibility. See also `Widget.UnmapEvent` for a discussion of how this can be used to actively toggle the presentation of a Window to the user.
  Since:
    4.0.5
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `onVisibilityNotifyEvent(Widget source, EventVisibility event)` Although this is an event-signal, this merely reports information coming from the underlying X11 windowing system.

- - ### Method Detail

    - #### onVisibilityNotifyEvent

          boolean onVisibilityNotifyEvent(Widget source,
                                        EventVisibility event)

      Although this is an event-signal, this merely reports information coming from the underlying X11 windowing system. Since a window being obscured by another application's window is not something you can control (short of requesting the Window holding this Widget always be on-top), it's not entirely clear what good it would do to block further emission of this signal. Return `false`!